## net.sf.statcvs.reports
Class DirectoriesTableReport

    java.lang.Object
      net.sf.statcvs.reports.DirectoriesTableReport

All Implemented Interfaces:
  TableReport

    public class DirectoriesTableReport

extends java.lang.Object
implements TableReport

Table report which creates a table containing the names of all directories and the number of changes and LOC in them.

Version:
  $Id: DirectoriesTableReport.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`DirectoriesTableReport(Repository content)` Creates a table report containing all directories and their respective number of changes and LOC.

Method Summary
`void` `calculate()` Calculates the report from the source data.
`Table` `getTable()` Returns the table data model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoriesTableReport

    public DirectoriesTableReport(Repository content)

  Creates a table report containing all directories and their respective number of changes and LOC.

  Parameters:
    `content` - the version control source data

Method Detail

### calculate

    public void calculate()

  Description copied from interface: `TableReport`
  Calculates the report from the source data.

  Specified by:
    `calculate` in interface `TableReport`

### getTable

    public Table getTable()

  Description copied from interface: `TableReport`
  Returns the table data model.

  Specified by:
    `getTable` in interface `TableReport`
  Returns:
    the table data model